<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML3.2 EN">
<HTML>
<HEAD>
<META NAME="GENERATOR" CONTENT="DOCTEXT">
<TITLE>PetscBagCreate</TITLE>
</HEAD>
<BODY BGCOLOR="FFFFFF">
<A NAME="PetscBagCreate"><H1>PetscBagCreate</H1></A>
Create a bag of values 
<H3><FONT COLOR="#CC3333">Synopsis</FONT></H3>
<PRE>
#include "petsc.h"   
#include "petscbag.h"   
PetscErrorCode PetscBagCreate(MPI_Comm comm, size_t size, PetscBag *bag)
</PRE>
Collective on <A HREF="../Sys/MPI_Comm.html#MPI_Comm">MPI_Comm</A>
<P>

<P>
<H3><FONT COLOR="#CC3333">Input Parameters</FONT></H3>
<TABLE border="0" cellpadding="0" cellspacing="0">
<TR><TD WIDTH=40></TD><TD ALIGN=LEFT VALIGN=TOP><B><A HREF="../Sys/comm.html#comm">comm</A> </B></TD><TD>- communicator to share bag
</TD></TR>
<TR><TD WIDTH=40></TD><TD ALIGN=LEFT VALIGN=TOP><B>C struct name </B></TD><TD>- name of the C structure holding the values
</TD></TR></TABLE>
<P>
<H3><FONT COLOR="#CC3333">Output Parameter</FONT></H3>
<DT><B>bag </B> -the bag of values
<br>
<P>
<H3><FONT COLOR="#CC3333">Notes</FONT></H3>
The <A HREF="../Sys/size.html#size">size</A> of the A struct must be small enough to fit in a <A HREF="../Sys/PetscInt.html#PetscInt">PetscInt</A>; by default
<A HREF="../Sys/PetscInt.html#PetscInt">PetscInt</A> is 4 bytes. The warning about casting to a shorter length can be ignored
below unless your A struct is too large
<P>
<H3><FONT COLOR="#CC3333">See Also</FONT></H3>
 <A HREF="../Sys/PetscBag.html#PetscBag">PetscBag</A>, <A HREF="../Sys/PetscBagGetName.html#PetscBagGetName">PetscBagGetName</A>(), <A HREF="../Sys/PetscBagView.html#PetscBagView">PetscBagView</A>(), <A HREF="../Sys/PetscBagLoad.html#PetscBagLoad">PetscBagLoad</A>(), <A HREF="../Sys/PetscBagGetData.html#PetscBagGetData">PetscBagGetData</A>()
<BR><A HREF="../Sys/PetscBagRegisterReal.html#PetscBagRegisterReal">PetscBagRegisterReal</A>(), <A HREF="../Sys/PetscBagRegisterInt.html#PetscBagRegisterInt">PetscBagRegisterInt</A>(), <A HREF="../Sys/PetscBagRegisterTruth.html#PetscBagRegisterTruth">PetscBagRegisterTruth</A>(), <A HREF="../Sys/PetscBagRegisterScalar.html#PetscBagRegisterScalar">PetscBagRegisterScalar</A>()
<A HREF="../Sys/PetscBagSetFromOptions.html#PetscBagSetFromOptions">PetscBagSetFromOptions</A>(), <A HREF="../Sys/PetscBagCreate.html#PetscBagCreate">PetscBagCreate</A>(), <A HREF="../Sys/PetscBagDestroy.html#PetscBagDestroy">PetscBagDestroy</A>(), <A HREF="../Sys/PetscBagRegisterEnum.html#PetscBagRegisterEnum">PetscBagRegisterEnum</A>()
<P><B><P><B><FONT COLOR="#CC3333">Level:</FONT></B>Intermediate
<BR><FONT COLOR="#CC3333">Location:</FONT></B><A HREF="../../../src/sys/bag/bag.c.html#PetscBagCreate">src/sys/bag/bag.c</A>
<BR><A HREF="./index.html">Index of all Sys routines</A>
<BR><A HREF="../../index.html">Table of Contents for all manual pages</A>
<BR><A HREF="../singleindex.html">Index of all manual pages</A>
<P><H3><FONT COLOR="#CC3333">Examples</FONT></H3>
<A HREF="../../../src/sys/examples/tutorials/ex5.c.html">src/sys/examples/tutorials/ex5.c.html</A><BR>
</BODY></HTML>
